digetpay-sdk
Toggle table of contents
androidJvm
Target filter
androidJvm
Switch theme
Search in API
Skip to content
digetpay-sdk
digetpay-sdk
/
com.digetpay.sdk.model
/
TransactionStatusResult
Transaction
Status
Result
data
class
TransactionStatusResult
(
val
transactionId
:
String
?
,
val
orderId
:
String
?
,
val
amount
:
String
?
,
val
currency
:
String
?
,
val
transactionStatus
:
String
?
,
val
paymentStatus
:
String
?
,
val
declineReason
:
String
?
)
Result of
GET /payment/checkout/status
.
Members
Constructors
Transaction
Status
Result
Link copied to clipboard
constructor
(
transactionId
:
String
?
,
orderId
:
String
?
,
amount
:
String
?
,
currency
:
String
?
,
transactionStatus
:
String
?
,
paymentStatus
:
String
?
,
declineReason
:
String
?
)
Properties
amount
Link copied to clipboard
val
amount
:
String
?
currency
Link copied to clipboard
val
currency
:
String
?
decline
Reason
Link copied to clipboard
val
declineReason
:
String
?
order
Id
Link copied to clipboard
val
orderId
:
String
?
payment
Status
Link copied to clipboard
val
paymentStatus
:
String
?
transaction
Id
Link copied to clipboard
val
transactionId
:
String
?
transaction
Status
Link copied to clipboard
val
transactionStatus
:
String
?